#include <stdio.h>
#include <stdlib.h>

int sa[26], sb[26], i;
char a[110], b[110];

int cmp(const void *a, const void *b) {
  return *(int *)a-*(int *)b;
}

int main() {
  freopen("ancient.in", "rt", stdin);
  freopen("ancient.out", "wt", stdout);
  gets(a);
  gets(b);
  for(i=0; a[i]; i++) sa[a[i]-'A']++;
  for(i=0; b[i]; i++) sb[b[i]-'A']++;
  qsort(sa, 26, sizeof(sa[0]), cmp);
  qsort(sb, 26, sizeof(sb[0]), cmp);
  for(i=0; i<26; i++) if(sa[i]!=sb[i]) break;
  if(i==26) puts("YES"); else puts("NO");
  return 0;
}